%define name	qtractor
%define version	0.8.4

Summary:	An Audio/MIDI multi-track sequencer
Name: 		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.xz
URL:		http://qtractor.sourceforge.net/
#--------------------------------------
BuildRequires:	dssi-devel
BuildRequires:	ladspa-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}lo-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}rubberband-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires:	lv2core-devel
BuildRequires: lilv-devel
BuildRequires: qt5gui-devel
BuildRequires: qt5core-devel
BuildRequires: qt5widgets-devel
BuildRequires: qt5x11extras-devel
BuildRequires: qt5xml-devel
BuildRequires: qt5help-devel
#--------------------------------------
Requires:	dssi
Requires:	%{_lib}lo7
Requires:	%{_lib}slv2_9
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %buildroot
%make DESTDIR=%{buildroot} install

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}_vst_scan
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/qtractor.appdata.xml
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}-*.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/translations/*.qm
%{_mandir}/man1/*

%changelog
* Mon Sep 25 2017 bb2 <bb2> 0.8.4-1pclos2017
- new version
- new gcc

* Sat Oct 29 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.9-1pclos2016
- 0.7.9
- switch to qt5 build

* Fri Jun 19 2015 gseaman <galen.seaman at comcast.net> 0.6.7-1gseaman2015
- 0.6.7
